Reference / Billing

Create a one-off PaymentIntent; returns the Payment Element client secret.

POST /v1/billing/checkout
Secret API key operationId: checkout

Authorization

Server-to-server. Send a secret key as a Bearer token plus the x-application-id header.

Request body · required

  • amount_cents integer<int64> required int64
  • currency string
  • description string
  • organization_id string<uuid> required uuid

Responses

200 One-off PaymentIntent
{
  "data": {
    "client_secret": "string",
    "connected_account_id": "string",
    "publishable_key": "string"
  },
  "error": {
    "code": "string",
    "message": "string"
  },
  "meta": {
    "timestamp": "string"
  },
  "success": false
}

Request

curl -X POST "https://api.identrahq.com/v1/billing/checkout" \
  -H "Content-Type: application/json" \
  -d '{
  "amount_cents": 0,
  "currency": "string",
  "description": "string",
  "organization_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f"
}'

Try it

live request
POST https://api.identrahq.com/v1/billing/checkout

Request body

application/json